let x = Number(31.01);
var iframe = $("#vimeo-frame")[0], player = $f(iframe);

function getRndInteger(e, a) {
	return Math.floor(Math.random() * (a - e + 1)) + e
}

$(document).ready(function () {
	$("#bottom-bar").slideDown();
	setInterval(function () {
		new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
		var e = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
		let a = new Date;
		a.setDate(a.getDate()), $(".moving").text(e[a.getMonth()] + " " + a.getDate() + " " + a.getHours() + ":" + (a.getMinutes() < 10 ? "0" : "") + a.getMinutes())
	}, 1e3), setInterval(function () {
		x += .01, $(".num").text(x.toFixed(2) + "%")
	}, 1e3 * getRndInteger(3, 7))
}), $(".open-form-func").click(function () {
	$("body").addClass("modal-on"), $("#overlay1").fadeIn()
}), $("#playvid").click(function () {
	$("body").addClass("modal-on"), $("#overlay2").fadeIn()
}), $(".close-btn").click(function () {
	$("body").removeClass("modal-on"), $("#overlay1, #overlay2").fadeOut(), $('.video-js')[0].player.pause()
});